document.addEventListener("DOMContentLoaded", function () {

	el_autohide = document.querySelector('.fixed-top');


	if (el_autohide) {
		var last_scroll_top = 0;
		var button_top = document.getElementById("cc-scroll-to-top");
		var navbar_height = document.querySelector('.navbar').offsetHeight;

		window.addEventListener('scroll', function () {
			let scroll_top = window.scrollY;
			if (scroll_top < last_scroll_top) {
				el_autohide.classList.remove('cc-scrolled-down');
				el_autohide.classList.add('cc-scrolled-up');
			}
			else {
				el_autohide.classList.remove('cc-scrolled-up');
				el_autohide.classList.add('cc-scrolled-down');
			}
			if (scroll_top < navbar_height) {
				el_autohide.classList.remove('cc-white-header');
				el_autohide.classList.add('cc-transparent-header');
			}
			else {
				el_autohide.classList.remove('cc-transparent-header');
				el_autohide.classList.add('cc-white-header');
			}
			// Esconde o botão topo
			if (scroll_top > 20) {
				button_top.style.display = "block";
			}
			else {
				button_top.style.display = "none";
			}
			last_scroll_top = scroll_top;
		});

	}

	button_top.onclick = function(){
		document.body.scrollTop = 0; // For Safari
		document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
	}

	explorar = document.querySelector('.cc-btn-explorar');

	if (explorar) {

		let top = document.querySelector('.cc-cover').offsetHeight;

		explorar.onclick = function(){
			window.scrollTo(0,top);
		};
	}

	indice = document.getElementById('indice');

	if (indice){
		var itemModal = document.getElementById('cc-item-modal')
			itemModal.addEventListener('show.bs.modal', function (event) {
			// Button that triggered the modal
			var trigger = event.relatedTarget
			// Extract info from data-bs-* attributes
			var content = trigger.getAttribute('data-bs-content')

			// If necessary, you could initiate an AJAX request here
			// and then do the updating in a callback.
			//
			// Update the modal's content.
			var modalTitle = itemModal.querySelector('.modal-header h4')
			var modalBody = itemModal.querySelector('.modal-body')

			modalTitle.textContent = trigger.textContent
			modalBody.innerHTML = document.getElementById(content).innerHTML
		});


		let boxElement;

		window.addEventListener (
			"load",
			(event) => {
				boxElement = document.querySelector(".site-footer-container");
				createObserver();
			},
			false
		);
		
		function createObserver() {
			let observer;
		  
			let options = {
				root: null,
				rootMargin: "0px",
				threshold: 0,
			};
		  
			observer = new IntersectionObserver(intersectionCallback, options);
			observer.observe(boxElement);
		}
		
		const intersectionCallback = (entries) => {
			entries.forEach((entry) => {
				if (entry.isIntersecting) {
					indice.style.position = "static";
				}
				else {
					indice.style.position = "fixed";
				}
			});
		};

	}
	
	const carousels = document.querySelectorAll('.carousel');

	for (const carousel of carousels) {
		carousel = new bootstrap.Carousel(this)
	}

	button_print = document.getElementById('cc-botao-imprimir');

	if (button_print) {
		button_print.onclick = function(){
			document.body.classList.add('cc-print-encarte');
			window.print();
			document.body.classList.remove('cc-print-encarte');
		}
	}

	search_results = document.getElementById('cc-resultados-da-busca');
	button_grid = document.getElementById('cc-botao-grid');
	button_list = document.getElementById('cc-botao-lista');

	if (search_results) {
		if (button_grid) {
			button_grid.onclick = function(){
				search_results.classList.remove('cc-lista-1');
				search_results.classList.add('cc-lista-3');
				button_list.classList.remove('active');
				this.classList.add('active');
			}
		}
	
		if (button_list) {
			button_list.onclick = function(){
				search_results.classList.remove('cc-lista-3');
				search_results.classList.add('cc-lista-1');
				button_grid.classList.remove('active');
				this.classList.add('active');
			}
		}
	}
	
});
// DOMContentLoaded  end

