<?php

/**
 * Register and Enqueue Bootstrap.
 *
 */
function cc_enqueue_bootstrap()
{
	wp_enqueue_style('bootstrap_css', '//cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css', array(), false);

	wp_enqueue_style('theme_bs_css',  get_stylesheet_directory_uri() . '/assets/theme-bs.css', array(), false);

	wp_enqueue_script('bootstrap_js', '//cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js', array(), 'null', true);

	wp_enqueue_script('cc_js', get_stylesheet_directory_uri() . '/assets/js/theme.js', array('bootstrap_js'), 'null', true);
}

if ( ! is_admin() ) {
	add_action('wp_loaded', 'cc_enqueue_bootstrap',5);
}

/**
 * Add excerpt to pages.
 *
 */
function cc_support() {
	add_post_type_support('page', 'excerpt');
}

add_action('init', 'cc_support');



/**
 * Block Patterns
 *
 */

// Prevent loading patterns from the WordPress.org pattern directory 
add_filter( 'should_load_remote_block_patterns', '__return_false' );

// Remove Blockbase patterns
function cc_remove_blockbase_patterns() {
	remove_action( 'init', 'blockbase_register_block_patterns', 9 );
}
add_action( 'after_setup_theme', 'cc_remove_blockbase_patterns', 100 );

function cc_block_patterns() {

	// Remove WordPress core patterns
	remove_theme_support('core-block-patterns');

	// Add Canal Ciência pattern categories
	$block_pattern_categories = array(
		'canalciencia' => array( 'label' => 'Canal Ciência' ),
		'ilustracoes'=> array( 'label' => 'Ilustrações' ),
		'paginas'=> array( 'label' => 'Páginas' ),
		'componentes'=> array( 'label' => 'Componentes' ),
	);

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'cc_block_patterns' );


	

